Bug 161634 - entry without argument confuses gfortran
entry without argument confuses gfortran
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-06-24 17:41 EDT by Patrice Dumas
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 4.0.1-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-07-10 16:31:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patrice Dumas 2005-06-24 17:41:00 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; fr; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
The following code confuses gfortran. I don't know for sure if it is a valid code but g77 accepts to compile it

      FUNCTION DEXPIN(X)
       ENTRY DEXPIE
       
      END


[dumas@chapelle bug_reports]$ gfortran -c bug_gfortran_entry.f -o res.o
 In file bug_gfortran_entry.f:2

       ENTRY DEXPIE                                                     
      1
Error: Unclassifiable statement at (1)


Version-Release number of selected component (if applicable):
gcc-gfortran-4.0.0-12

How reproducible:
Always

Steps to Reproduce:
1.compile the above program
2.
3.
  

Actual Results:  Error: Unclassifiable statement at (1)

Expected Results:  Maybe a compilation, certainly another error message.

Additional info:

I had a look at the gcc gfortran bugs and it seems to me that it isn't reported there (or allready closed).
Comment 2 Jakub Jelinek 2005-07-10 16:31:50 EDT
Should be fixed in gcc-4.0.1-1 in rawhide.

Note You need to log in before you can comment on or make changes to this bug.